/*
 * Common Oracle includes and definitions for OCI DB and logging support.
 */

#ifndef oracle_h
#define oracle_h

# include <oratypes.h>
# include <ocidfn.h>
# ifdef __STDC__
#  include <ociapr.h>
# else
#  include <ocikpr.h>
# endif /* __STDC __ */

/* Oracle-specific defines to make the code slightly clearer */
#define NULL_TERM -1
#define DEFER_PARSE 1
#define ORACLE_V7 2

static CONST text  *oci_func_tab[] =  {(text *) "[unused]",
/* 1-2 */       (text *) "[unused]", (text *) "osql",
/* 3-4 */       (text *) "[unused]", (text *) "oexec, oexn",
/* 5-6 */       (text *) "[unused]", (text *) "obind",
/* 7-8 */       (text *) "[unused]", (text *) "odefin",
/* 9-10 */      (text *) "[unused]", (text *) "odsrbn",
/* 11-12 */     (text *) "[unused]", (text *) "ofetch, ofen",
/* 13-14 */     (text *) "[unused]", (text *) "oopen",
/* 15-16 */     (text *) "[unused]", (text *) "oclose",
/* 17-18 */     (text *) "[unused]", (text *) "[unused]",
/* 19-20 */     (text *) "[unused]", (text *) "[unused]",
/* 21-22 */     (text *) "[unused]", (text *) "odsc",
/* 23-24 */     (text *) "[unused]", (text *) "oname",
/* 25-26 */     (text *) "[unused]", (text *) "osql3",
/* 27-28 */     (text *) "[unused]", (text *) "obndrv",
/* 29-30 */     (text *) "[unused]", (text *) "obndrn",
/* 31-32 */     (text *) "[unused]", (text *) "[unused]",
/* 33-34 */     (text *) "[unused]", (text *) "oopt",
/* 35-36 */     (text *) "[unused]", (text *) "[unused]",
/* 37-38 */     (text *) "[unused]", (text *) "[unused]",
/* 39-40 */     (text *) "[unused]", (text *) "[unused]",
/* 41-42 */     (text *) "[unused]", (text *) "[unused]",
/* 43-44 */     (text *) "[unused]", (text *) "[unused]",
/* 45-46 */     (text *) "[unused]", (text *) "[unused]",
/* 47-48 */     (text *) "[unused]", (text *) "[unused]",
/* 49-50 */     (text *) "[unused]", (text *) "[unused]",
/* 51-52 */     (text *) "[unused]", (text *) "ocan",
/* 53-54 */     (text *) "[unused]", (text *) "oparse",
/* 55-56 */     (text *) "[unused]", (text *) "oexfet",
/* 57-58 */     (text *) "[unused]", (text *) "oflng",
/* 59-60 */     (text *) "[unused]", (text *) "odescr",
/* 61-62 */     (text *) "[unused]", (text *) "obndra"
};

#endif /* oracle_h */
