/*
 * Copyright, OpenVision Technologies, Inc., 1996, All Rights Reserved
 *
 * WARNING:  Retrieving the OpenVision Kerberos Administration system
 * source code, as described below, indicates your acceptance of the
 * following terms.  If you do not agree to the following terms, do not
 * retrieve the OpenVision Kerberos administration system.
 *
 * You may freely use and distribute the Source Code and Object Code
 * compiled from it, but this Source Code is provided to you "AS IS"
 * EXCLUSIVE OF ANY WARRANTY, INCLUDING, WITHOUT LIMITATION, ANY
 * WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, OR
 * ANY OTHER WARRANTY, WHETHER EXPRESS OR IMPLIED.  IN NO EVENT WILL
 * OPENVISION HAVE ANY LIABILITY FOR ANY LOST PROFITS, LOSS OF DATA OR
 * COSTS OF PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES, OR FOR ANY
 * SPECIAL, INDIRECT, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THIS
 * AGREEMENT, INCLUDING, WITHOUT LIMITATION, THOSE RESULTING FROM THE
 * USE OF THE SOURCE CODE, OR THE FAILURE OF THE SOURCE CODE TO PERFORM,
 * OR FOR ANY OTHER REASON.
 *
 * OpenVision retains all rights, title, and interest in the donated
 * Source Code.  With respect to OpenVision's copyrights in the donated
 * Source Code, OpenVision also retains rights to derivative works of
 * the Source Code whether created by OpenVision or a third party.
 *
 * OpenVision Technologies, Inc. has donated this Kerberos
 * Administration system to MIT for inclusion in the standard Kerberos 5
 * distribution. This donation underscores our commitment to continuing
 * Kerberos technology development and our gratitude for the valuable
 * work which has been performed by MIT and the Kerberos community.
 */

/* 
 * $Header: /afs/athena.mit.edu/astaff/project/krbdev/.cvsroot/src/kadmin/dbutil/string_table.c,v 1.3 1996/08/05 18:38:26 bjaspan Exp $
 */

#if !defined(lint) && !defined(__CODECENTER__)
static char *rcsid = "$Header: /afs/athena.mit.edu/astaff/project/krbdev/.cvsroot/src/kadmin/dbutil/string_table.c,v 1.3 1996/08/05 18:38:26 bjaspan Exp $";
#endif

/* String table of messages for kadm5_create */

char *str_INITING_KCONTEXT = "while initializing the kerberos context";

char *str_PARSE_NAME = "while parsing admin principal name.";

char *str_HISTORY_PARSE_NAME = "while parsing admin history principal name.";

char *str_ADMIN_PRINC_EXISTS = "Warning! Admin principal already exists.";

char *str_CHANGEPW_PRINC_EXISTS = "Warning! Changepw principal already exists.";

char *str_HISTORY_PRINC_EXISTS = "Warning! Admin history principal already exists.";

char *str_ADMIN_PRINC_WRONG_ATTRS = 
    "Warning! Admin principal has incorrect attributes.\n"
    "\tDISALLOW_TGT should be set, and max_life should be three hours.\n"
    "\tThis program will leave them as-is, but beware!.";

char *str_CHANGEPW_PRINC_WRONG_ATTRS = 
    "Warning! Changepw principal has incorrect attributes.\n"
    "\tDISALLOW_TGT and PW_CHANGE_SERVICE should both be set, and "
     "max_life should be five minutes.\n"
    "\tThis program will leave them as-is, but beware!.";

char *str_HISTORY_PRINC_WRONG_ATTRS = 
    "Warning! Admin history principal has incorrect attributes.\n"
    "\tDISALLOW_ALL_TIX should be set.\n" 
    "\tThis program will leave it as-is, but beware!.";

char *str_CREATED_PRINC_DB =
	"%s: Admin principal database created (or it already existed).\n"; /* whoami */

char *str_CREATED_POLICY_DB =
	"%s: Admin policy database created (or it already existed).\n"; /* whoami */

char *str_RANDOM_KEY =
	"while calling random key for %s.";  /* principal name */

char *str_ENCRYPT_KEY =
	"while calling encrypt key for %s."; /* principal name */

char *str_PUT_PRINC =
	"while storing %s in Kerberos database.";  /* principal name */

char *str_CREATING_POLICY_DB = "while creating/opening admin policy database.";

char *str_CLOSING_POLICY_DB = "while closing admin policy database.";

char *str_CREATING_PRINC_DB = "while creating/opening admin principal database.";

char *str_CLOSING_PRINC_DB = "while closing admin principal database.";

char *str_CREATING_PRINC_ENTRY =
	"while creating admin principal database entry for %s."; /* princ_name */

char *str_A_PRINC = "a principal";

char *str_UNPARSE_PRINC = "while unparsing principal.";

char *str_CREATED_PRINC = "%s: Created %s principal.\n"; /* whoami, princ_name */

char *str_INIT_KDB = "while initializing kdb.";

char *str_NO_KDB = 
"while initializing kdb.\nThe Kerberos KDC database needs to exist in /krb5.\n\
If you haven't run kdb5_create you need to do so before running this command.";


char *str_INIT_RANDOM_KEY = "while initializing random key generator.";

char *str_TOO_MANY_ADMIN_PRINC = 
	"while fetching admin princ. Can only have one admin principal.";

char *str_TOO_MANY_CHANGEPW_PRINC = 
	"while fetching changepw princ. Can only have one changepw principal.";

char *str_TOO_MANY_HIST_PRINC = 
	"while fetching history princ. Can only have one history principal.";

char *str_WHILE_DESTROYING_ADMIN_SESSION = "while closing session with admin server and destroying tickets.";
