/*
 * Copyright, OpenVision Technologies, Inc., 1996, All Rights Reserved
 *
 * WARNING:  Retrieving the OpenVision Kerberos Administration system
 * source code, as described below, indicates your acceptance of the
 * following terms.  If you do not agree to the following terms, do not
 * retrieve the OpenVision Kerberos administration system.
 *
 * You may freely use and distribute the Source Code and Object Code
 * compiled from it, but this Source Code is provided to you "AS IS"
 * EXCLUSIVE OF ANY WARRANTY, INCLUDING, WITHOUT LIMITATION, ANY
 * WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, OR
 * ANY OTHER WARRANTY, WHETHER EXPRESS OR IMPLIED.  IN NO EVENT WILL
 * OPENVISION HAVE ANY LIABILITY FOR ANY LOST PROFITS, LOSS OF DATA OR
 * COSTS OF PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES, OR FOR ANY
 * SPECIAL, INDIRECT, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THIS
 * AGREEMENT, INCLUDING, WITHOUT LIMITATION, THOSE RESULTING FROM THE
 * USE OF THE SOURCE CODE, OR THE FAILURE OF THE SOURCE CODE TO PERFORM,
 * OR FOR ANY OTHER REASON.
 *
 * OpenVision retains all rights, title, and interest in the donated
 * Source Code.  With respect to OpenVision's copyrights in the donated
 * Source Code, OpenVision also retains rights to derivative works of
 * the Source Code whether created by OpenVision or a third party.
 *
 * OpenVision Technologies, Inc. has donated this Kerberos
 * Administration system to MIT for inclusion in the standard Kerberos 5
 * distribution. This donation underscores our commitment to continuing
 * Kerberos technology development and our gratitude for the valuable
 * work which has been performed by MIT and the Kerberos community.
 */

/*
 * $Id: util_canonhost.c,v 1.12 1996/08/28 21:50:35 tytso Exp $
 */

/* This file could be OS specific */
#define NEED_SOCKETS
#include "gssapiP_generic.h"

#include "port-sockets.h"

#ifdef HAVE_SYS_TYPES_H
#include <sys/types.h>
#endif
#include <ctype.h>
#include <string.h>

char *
g_canonicalize_host(hostname)
     char *hostname;
{
   struct hostent *hent;
   char *haddr;
   char *canon, *str;

   if ((hent = gethostbyname(hostname)) == NULL)
      return(NULL);

   if (! (haddr = (char *) xmalloc(hent->h_length))) {
	return(NULL);
   }

   memcpy(haddr, hent->h_addr_list[0], hent->h_length);

   if (! (hent = gethostbyaddr(haddr, hent->h_length, hent->h_addrtype))) {
	return(NULL);
   }

   xfree(haddr);

   if ((canon = (char *) xmalloc(strlen(hent->h_name)+1)) == NULL)
      return(NULL);

   strcpy(canon, hent->h_name);

   for (str = canon; *str; str++)
      if (isupper(*str)) *str = tolower(*str);

   return(canon);
}
