/*
 * Copyright, OpenVision Technologies, Inc., 1996, All Rights Reserved
 *
 * WARNING:  Retrieving the OpenVision Kerberos Administration system
 * source code, as described below, indicates your acceptance of the
 * following terms.  If you do not agree to the following terms, do not
 * retrieve the OpenVision Kerberos administration system.
 *
 * You may freely use and distribute the Source Code and Object Code
 * compiled from it, but this Source Code is provided to you "AS IS"
 * EXCLUSIVE OF ANY WARRANTY, INCLUDING, WITHOUT LIMITATION, ANY
 * WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, OR
 * ANY OTHER WARRANTY, WHETHER EXPRESS OR IMPLIED.  IN NO EVENT WILL
 * OPENVISION HAVE ANY LIABILITY FOR ANY LOST PROFITS, LOSS OF DATA OR
 * COSTS OF PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES, OR FOR ANY
 * SPECIAL, INDIRECT, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THIS
 * AGREEMENT, INCLUDING, WITHOUT LIMITATION, THOSE RESULTING FROM THE
 * USE OF THE SOURCE CODE, OR THE FAILURE OF THE SOURCE CODE TO PERFORM,
 * OR FOR ANY OTHER REASON.
 *
 * OpenVision retains all rights, title, and interest in the donated
 * Source Code.  With respect to OpenVision's copyrights in the donated
 * Source Code, OpenVision also retains rights to derivative works of
 * the Source Code whether created by OpenVision or a third party.
 *
 * OpenVision Technologies, Inc. has donated this Kerberos
 * Administration system to MIT for inclusion in the standard Kerberos 5
 * distribution. This donation underscores our commitment to continuing
 * Kerberos technology development and our gratitude for the valuable
 * work which has been performed by MIT and the Kerberos community.
 */

#include "gssapiP_krb5.h"

/*
 * $Id: verify.c,v 1.11 1996/07/22 20:34:45 marc Exp $
 */

OM_uint32
krb5_gss_verify(minor_status, context_handle,
		message_buffer, token_buffer,
		qop_state)
     OM_uint32 *minor_status;
     gss_ctx_id_t context_handle;
     gss_buffer_t message_buffer;
     gss_buffer_t token_buffer;
     int *qop_state;
{
     krb5_context context;

     if (GSS_ERROR(kg_get_context(minor_status, &context)))
	return(GSS_S_FAILURE);


     return(kg_unseal(context, minor_status, context_handle,
		      token_buffer, message_buffer,
		      NULL, qop_state, KG_TOK_SIGN_MSG));
}

/* V2 interface */
OM_uint32
krb5_gss_verify_mic(minor_status, context_handle,
		    message_buffer, token_buffer,
		    qop_state)
    OM_uint32		*minor_status;
    gss_ctx_id_t	context_handle;
    gss_buffer_t	message_buffer;
    gss_buffer_t	token_buffer;
    gss_qop_t		*qop_state;
{
    krb5_context	context;
    OM_uint32		rstat;
    int			qstate;

    if (GSS_ERROR(kg_get_context(minor_status, &context)))
       return(GSS_S_FAILURE);


    rstat = kg_unseal(context, minor_status, context_handle,
		      token_buffer, message_buffer,
		      NULL, &qstate, KG_TOK_MIC_MSG);
    if (!rstat && qop_state)
	*qop_state = (gss_qop_t) qstate;
    return(rstat);
}
